Page MenuHomeVyOS Platform

Regression: Python snmp configuration parser doesn't set 'community6' SNMP fields
Closed, ResolvedPublicBUG

Description

The VyOS command language accepts a community string for SNMP. SNMPD, though, has different community strings for ipv4 and ipv6.

VyOS 1.1.8 correctly set both 'rocommunity' and 'rocommunity6' to the same value, but the re-written, python command parser for it doesn't set 'rocommunity6', meaning that snmp over ipv6 isn't possible.

The fix is simple - a new line in the parser template will resolve it. I'll try to get a pull request submitted to do exactly that.

Details

Difficulty level
Easy (less than an hour)
Version
1.2 rolling 201807050337
Why the issue appeared?
Will be filled on close

Event Timeline

JulesT created this task.Jul 5 2018, 1:14 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.Jul 5 2018, 1:52 PM
c-po moved this task from Finished to VyOS 1.2.0-rc1 on the VyOS 1.2 Crux board.
c-po edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc1); removed VyOS 1.2 Crux.
syncer closed this task as Resolved.Jul 5 2018, 1:53 PM
syncer claimed this task.
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.0-rc1) board.
JulesT reopened this task as In progress.Aug 7 2018, 11:49 AM

Sorry guys - the fix worked, but only for community strings that are network-specific. See new pull request for the non-specific network version as well.

c-po added a subscriber: c-po.Aug 29 2018, 8:14 PM

This produces

Aug 29 20:09:59 LR2 snmpd[3017]: /etc/snmp/snmpd.conf: line 44: Error: Address family for hostname not supported

reason is:

44: rocommunity6 fooo 172.16.100.0/24

IPv4 address in IPv6 rocommunity? Makes no sense to me.

syncer triaged this task as Normal priority.Sep 1 2018, 3:05 PM
c-po closed this task as Resolved.Sep 1 2018, 3:08 PM
c-po claimed this task.
c-po edited subscribers, added: syncer; removed: c-po.